Bug 197849 - Cannot see all ports of FC HBA
Cannot see all ports of FC HBA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Coughlan
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-07-06 15:04 EDT by Jason Cole
Modified: 2012-06-20 09:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-20 09:32:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
dmesg output shoing irq problem - failed to reserver IRQ (19.43 KB, text/plain)
2006-07-06 15:04 EDT, Jason Cole
no flags Details

  None (edit)
Description Jason Cole 2006-07-06 15:04:56 EDT
Description of problem:
I have a dual boot machine.  Under windows, I can see all of my ports of Fibre
Channel connections.  Under RHEL4u2&3, I cannot see all the ports - one or more
ports do not show up.  In the dmesg output, I get an error relating to irqs, but
I don't think this is a system problem, or I would not see all the ports in
Windows, correct?

System Details
Tyan s2892 Motherboard with AMD Opteron 244 chip
nVidia SATA RAID attached internal hdd
(1) QLA2460 PCIx FC HBA
(1) QLE2460 PCIe FC HBA
(1) QLA2342 dual port PCIx FC HBA

I have attached the dmesg output, if that may help.

Version-Release number of selected component (if applicable):
RHEL4 AS u3 and u4

How reproducible:
Every time.

Steps to Reproduce:
1. Put more than 3 ports of FC in the system and boot up.
2. Look in /proc/scsi/qla2xxx/# and you will not see an entry for the number of
ports in the system.
Actual results:

Expected results:

Additional info:
Comment 1 Jason Cole 2006-07-06 15:04:56 EDT
Created attachment 132020 [details]
dmesg output shoing irq problem - failed to reserver IRQ
Comment 2 Phil Knirsch 2006-08-01 09:09:28 EDT
This looks like a kernel bug though, so reassigning to proper component.

Read ya, Phil
Comment 3 Jiri Pallich 2012-06-20 09:32:19 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.